## START: Set by rpmautospec
## (rpmautospec version 0.8.2)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 28;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global realname egeoip
%global git_commit 4efda2c2b5b0084d3e77b8f0bbdec78514706b34
%global git_date 20140111


Name:		erlang-%{realname}
Version:	1.1
Release:	%autorelease -s %{git_date}git%{sub %git_commit 0 7}
BuildArch:	noarch
Summary:	Erlang IP Geolocation module
License:	MIT
URL:		https://github.com/mochi/%{realname}
VCS:		git:%{url}.git
Source0:	%{url}/archive/%{git_commit}/%{realname}-%{version}.tar.gz
Patch1:		erlang-egeoip-0001-FIXME-an-old-DB-in-Fedora.patch
Patch2:		erlang-egeoip-0002-Fix-for-Rebar3.patch
BuildRequires:	erlang-rebar3
BuildRequires:	GeoIP-GeoLite-data-extra
Requires:	GeoIP-GeoLite-data-extra


%description
Erlang IP Geolocation module, currently supporting the MaxMind GeoLite City
Database.


%prep
%autosetup -p1 -n %{realname}-%{git_commit}


%build
%{erlang3_compile}


%install
%{erlang3_install}
mkdir -p %{buildroot}%{erlang_appdir}/priv/
ln -s %{_datadir}/GeoIP/GeoIPCity.dat %{buildroot}%{erlang_appdir}/priv/GeoIPCity.dat
ln -s %{_datadir}/GeoIP/GeoLiteCity.dat %{buildroot}%{erlang_appdir}/priv/GeoLiteCity.dat
ln -s %{_datadir}/GeoIP/GeoLiteCountry.dat %{buildroot}%{erlang_appdir}/priv/GeoIP.dat


%check
%{erlang3_test}


%files
%license LICENSE
%doc README
%{erlang_appdir}/


%changelog
## START: Generated by rpmautospec
* Wed Jul 23 2025 Fedora Release Engineering <releng@fedoraproject.org> - 1.1-28.20140111git4efda2c
- Rebuilt for https://fedoraproject.org/wiki/Fedora_43_Mass_Rebuild

* Thu Jan 16 2025 Fedora Release Engineering <releng@fedoraproject.org> - 1.1-27.20140111git4efda2c
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Thu Aug 08 2024 Peter Lemenkov <lemenkov@gmail.com> - 1.1-26.20140111git4efda2c
- Spec-file cleanup

* Wed Jul 17 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.1-25.20140111git4efda2c
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Wed Jun 12 2024 Peter Lemenkov <lemenkov@gmail.com> - 1.1-24.20140111git4efda2c
- Don't ship outdated GeoIP modules

* Wed Jan 24 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.1-21
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jan 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.1-20
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Wed Jul 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.1-19
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.1-18
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.1-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.1-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Wed Jul 21 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.1-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.1-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Mon Jul 27 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.1-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Tue Jan 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.1-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Wed Jul 24 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.1-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Fri Feb 22 2019 Peter Lemenkov <lemenkov@gmail.com> - 1.1-10
- Switch to noarch

* Thu Jan 31 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.1-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Thu Jul 12 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Jun  9 2016 Peter Lemenkov <lemenkov@gmail.com> - 1.1-3
- Spec-file cleanups

* Wed Mar  2 2016 Peter Lemenkov <lemenkov@gmail.com> - 1.1-2
- Use system-wide GeoIP data

* Fri Feb 12 2016 Peter Lemenkov <lemenkov@gmail.com> - 1.1-1
- Ver. 1.1

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.10.20111025git45c32ad
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.9.20111025git45c32ad
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.8.20111025git45c32ad
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.7.20111025git45c32ad
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.6.20111025git45c32ad
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.5.20111025git45c32ad
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.4.20111025git45c32ad
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jun 07 2012 Peter Lemenkov <lemenkov@gmail.com> - 0-0.3.20111025git45c32ad
- Added unit-tests
- Invoke rebar with more verbosity
- Removed no longer required defattr() line
- Added API docs (doc/ directory)
- Confirmed the legal status of the LICENSE.geolitecity

* Tue May 15 2012 Peter Lemenkov <lemenkov@gmail.com> - 0-0.2.20111025git45c32ad
- Update to the latest git tag

* Sat Jan 22 2011 Peter Lemenkov <lemenkov@gmail.com> - 0-0.1.20110122gitfac69bb
- Initial build

## END: Generated by rpmautospec
